Subject: bug#24848: [sh-script] How to save "Local rules set" result from sh-learn-buffer-indent?

From: <[email-masked]>
Date: Fri, 25 Aug 2017 13:44:07 +0000

I'm using Emacs v24.5.1 and yes, I've a basic offset of 2 set...

(custom-set-variables
 ;; lots of stuff
 '(sh-basic-offset 2)
 ;; lots of stuff
)

I was interested that you mentioned sh-indentation as an alternative to sh-basic-offset so I added that too, and that resulted in the indentation that I want!

So that solves the problem that I was trying to solve by saving learned indentation. :-)

Anyway, to help get to the bottom of this, I disabled sh-indentation and tried your steps around editing smie-config and M-x normal-mode and I got the same result as you: it worked.

So as you indicated, it appears to be that smie-config isn't being loaded (properly) when Emacs starts.

I await your next inspiration! :-)

Thanks,

Richard